Lexel Update

* indicates required